package example.codes;

import java.util.LinkedHashMap;
import java.util.Map;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class SessionFields {

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(MyInfo.API_KEY_SANDBOX, MyInfo.API_URL_SANDBOX);
		
		DocumentPackage pack = PackageBuilder.newPackageNamed("Test package!")
				.withSigner(SignerBuilder.newSignerWithEmail("mail32@mailinator.com")
						.withFirstName("John")
						.withLastName("Smith")
						.withCustomId("signer1"))
				.withDocument(DocumentBuilder.newDocumentWithName("some doc")
						.fromFile("C:/Users/hhaidary/Desktop/PDFs/doc1.pdf")
						.withSignature(SignatureBuilder.captureFor("mail32@mailinator.com")
								.atPosition(100, 100)
								.onPage(0)))
				.build();
		
		PackageId packageId = eslClient.createAndSendPackage(pack);
		
		Map<String, String> signerSessionFields = new LinkedHashMap<String, String>();
        signerSessionFields.put("Transaction ID", "1234567890");
        signerSessionFields.put("Login Token", "8888888888888");
        final String signerAuthenticationToken = eslClient.getAuthenticationTokensService().createSignerAuthenticationToken(packageId.getId(), "signer1", signerSessionFields);
        
        System.out.println("https://sandbox.esignlive.com/access?sessionToken=" + signerAuthenticationToken);
	}

}
